<div data-name="map" data-type="container" id={{this.elementId}} class="container-bg-map {{this.options}} {{if this.hasSize 'has-size' 'missing-size'}}">
  {{#if this.height}}
    <View::Map::MapView @model={{@model}} @value={{@value}} style={{this.style}} />
  {{/if}}

  <div class="container-bg-map-overlay">
    <div class="{{@class}} d-flex flex-column" {{did-insert this.watchSize}} ...attributes>
      {{yield}}
    </div>
  </div>
</div>